//
//  SocialModule.m
//  react-native-social
//
//  Created by LDN on 12/25/15.
//  Copyright © 2015 YOAI. All rights reserved.
//

#import "SocialModule.h"
#import "SinaWeiboPlugin.h"

static NSString *CHANNEL_WEIBO = @"weibo";
static NSString *CHANNEL_WEIXIN = @"weixin";

static SinaWeiboPlugin *sinaWeiboPlugin = nil;


@implementation SocialModule

-(id)init {
  if ((self = [super init])) {
    [SocialModule initPlugins];
  }
  return self;
}

+(void)initPlugins {
  if (sinaWeiboPlugin == nil) {
    sinaWeiboPlugin = [[SinaWeiboPlugin alloc] init];
  }
}

+(BOOL) handleOpenURL:(NSURL *)url {
  [SocialModule initPlugins];
  return [sinaWeiboPlugin handleOpenURL:url];
}


RCT_EXPORT_MODULE();

RCT_EXPORT_METHOD(authorize:(NSString *)channel :(NSDictionary *)config : (RCTResponseSenderBlock)callback) {
  NSLog(@"authorize...channel=%@", channel);
  if ([CHANNEL_WEIBO isEqualToString:channel]) {
    [sinaWeiboPlugin authorize:config :callback];
  }
}

@end
